#include <iostream>
#include <iomanip>
using namespace std;

//*****************************************************
// prosta arytmetyka duych liczb
const int zakres = 101;

void zero(int a[]){
//a = 0;
    int i;
    for (i = 0; i < zakres; i++)
        a[i] = 0;
}

void jeden(int a[]){
//a = 1;
    int i;
    for (i = 1; i < zakres; i++)
        a[i] = 0;
    a[0] = 1;
}         

void dodaj(int a[], int b[], int c[]){
//c = a + b;
    int i, p, r;
    p = 0;
    for (i = 0; i < zakres; i++){
        r = (a[i] + b[i] + p)%10;
        p = (a[i] + b[i] + p)/10;
        c[i] = r;
    }
}

void mnoz(int a[], int n){
//a = a*n;
    int i, p, r;
    p = 0;
    for (i = 0; i < zakres; i++){
        r = (a[i]*n + p)%10;
        p = (a[i]*n + p)/10;
        a[i] = r;
    }
}

void wypisz(int a[]){
//wypisz a;
    int i,j;
    for (i = zakres -1; (a[i] == 0) && (i > 0); i--);
    for (j = i; j >= 0; j--)
         cout << a[j];
    cout << endl;
}     

//***********************************************************

const int max_n = 201;

int main(){
    int Pascal[max_n][zakres];
    int n, i, j, k;
    
    //wczytaj dane
    cin >> n >> k;   
    
    //liczenie trjkta Pascala wierszami
    //a do wiersza n
    jeden(Pascal[0]);
    for (i = 0; i <= n; i++){
        jeden(Pascal[i]);
        for (j = i-1; j > 0; j--)
           dodaj(Pascal[j-1], Pascal[j], Pascal[j]);
    }
    
    // C[n,k] = Pascal[k]
    wypisz(Pascal[k]);
    
    return 0;
}
